Package com.google.android.exoplayer2

## Class MediaItem.ClippingProperties

- java.lang.Object
- - com.google.android.exoplayer2.MediaItem.ClippingConfiguration
  - - com.google.android.exoplayer2.MediaItem.ClippingProperties

- All Implemented Interfaces:
    `Bundleable`
  Enclosing class:
    MediaItem

      @Deprecated
      public static final class MediaItem.ClippingProperties
      extends MediaItem.ClippingConfiguration

  Deprecated.
  Use `MediaItem.ClippingConfiguration` instead.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.android.exoplayer2.MediaItem.ClippingConfiguration

      `MediaItem.ClippingConfiguration.Builder`

    - ### Nested classes/interfaces inherited from interface com.google.android.exoplayer2.Bundleable

      `Bundleable.Creator<T extends Bundleable>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static MediaItem.ClippingProperties` | `UNSET` | Deprecated.

    - ### Fields inherited from class com.google.android.exoplayer2.MediaItem.ClippingConfiguration

      `CREATOR, endPositionMs, relativeToDefaultPosition, relativeToLiveWindow, startPositionMs, startsAtKeyFrame`

  - ### Method Summary

    - ### Methods inherited from class com.google.android.exoplayer2.MediaItem.ClippingConfiguration

      `buildUpon, equals, hashCode, toBundle`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNSET

          public static final MediaItem.ClippingProperties UNSET

      Deprecated.